Ubuntu

2nd Resume from Suspend results in reboot on Toshiba Satellite U400. Fixed in 2.6.34 Mainline.

Reported by Riccardo Poli on 2010-05-29
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned

Bug Description

2.6.32-22:
Regardless of suspend method (lid-close, selecting "Suspend" in shutdown menu, "pm-suspend" in a TTY), the laptop suspends correctly, resumes correctly, suspends correctly a second time, and then once the second resume is initiated, the system reboots.

This issue is tested and confirmed as fixed in the 2.6.34 mainline (2.6.34-020634-generic).

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: xorg 1:7.5+5ubuntu1
ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-22-generic x86_64
Architecture: amd64
Date: Sat May 29 07:11:38 2010
DkmsStatus:
 vboxnetflt, 3.2.0, 2.6.32-22-generic, x86_64: installed
 vboxnetadp, 3.2.0, 2.6.32-22-generic, x86_64: installed
 vboxdrv, 3.2.0, 2.6.32-22-generic, x86_64: installed
MachineType: TOSHIBA Satellite U400
ProcCmdLine: nomodeset pci=use_crs root=UUID=4f3c9dfc-c762-423c-b1cd-81110c0b011d ro quiet splash
ProcEnviron:
 PATH=(custom, user)
 LANG=en_GB.utf8
 SHELL=/bin/bash
SourcePackage: xorg
Symptom: display
dmi.bios.date: 02/12/2009
dmi.bios.vendor: TOSHIBA
dmi.bios.version: V3.30
dmi.board.name: Satellite U400
dmi.board.vendor: TOSHIBA
dmi.board.version: Not Applicable
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: TOSHIBA
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnTOSHIBA:bvrV3.30:bd02/12/2009:svnTOSHIBA:pnSatelliteU400:pvrPSU44E-00T017EN:rvnTOSHIBA:rnSatelliteU400:rvrNotApplicable:cvnTOSHIBA:ct10:cvrN/A:
dmi.product.name: Satellite U400
dmi.product.version: PSU44E-00T017EN
dmi.sys.vendor: TOSHIBA
system:
 distro: Ubuntu
 codename: lucid
 architecture: x86_64
 kernel: 2.6.32-22-generic

Riccardo Poli (rpoli) wrote :
Bryce Harrington (bryce) on 2010-05-29
affects: xorg (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Bryce Harrington (bryce) on 2010-05-29
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
Stenten (stenten) on 2010-05-29
description: updated
tags: added: black-screen gm45 resume
summary: - Resume failure in Toshiba Satellite U400
+ [gm45] Resume failure in Toshiba Satellite U400 (Backtrace included)

Does the CapsLock light work after you resume?

First enable Apport
sudo service apport start force_start=1
Then please recreate the issue and then enter a TTY by typing Ctrl+Alt+F1. Login, and then create these two log files:
cat /var/log/dmesg > dmesg_crash.txt
cat /var/log/Xorg.0.log > Xorg.0.log_crash.txt
Then try to restart X by killing it and restarting:
sudo service gdm stop
startx
Note any error messages. Then attach the two files you created. They should be in your home folder.

Stenten (stenten) wrote :

Troubleshooting:
1) Is there a difference between suspending by lid-close or by selecting Suspend from the shutdown menu?
2) Try disabling Desktop Effects and recreating.
3) Try removing your xorg.conf and recreating. "sudo mv /etc/X11/xorg.conf /etc/X11/xorg.conf.bak". If you need to restore it, run "sudo mv /etc/X11/xorg.conf.bak /etc/X11/xorg.conf". If for some reason you don't get a desktop without xorg.conf, you can boot into recovery mode and select "root" to get a command line, and then run the restore commands.
4) Try reproducing on the current mainline kernel [1]. Download and install the _all headers, amd64 headers, and amd64 image. You can revert by holding down Shift during boot and selecting the 32-22 kernel and then removing the three packages in Synaptic (search 2.6.34).

[1]: http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.34-lucid/

Download full text (5.0 KiB)

On Sat, 2010-05-29 at 21:05 +0100, Stenten wrote:
> Does the CapsLock light work after you resume?
>

Firstly, the problem does not occur every time I suspend/resume (perhaps
every other time or there about). Secondly, when it happens the CapsLock
light does not work.

> First enable Apport
> sudo service apport start force_start=1
> Then please recreate the issue and then enter a TTY by typing Ctrl+Alt+F1.

I started apport but could not switch TTY.

> Login, and then create these two log files:
> cat /var/log/dmesg > dmesg_crash.txt
> cat /var/log/Xorg.0.log > Xorg.0.log_crash.txt

I've done this, but I had to switch off the machine completely and
reboot.

I noticed something I had not noticed before. When the machine reboots
after a failed resume, the networking is switched off (in network
manager), which I found to be odd.

> Then try to restart X by killing it and restarting:
> sudo service gdm stop
> startx

I could not test this for the reasons above.

> Note any error messages. Then attach the two files you created. They should be in your home folder.
>

I attach the files. I did not get any other error message.

Many thanks

Riccardo

> --
> [gm45] Resume failure in Toshiba Satellite U400 (Backtrace included)
> https://bugs.launchpad.net/bugs/587136
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “xserver-xorg-video-intel” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: xorg
>
> Suspend seems to work fine, but there is a resume problem. The machine seems to be ON after resume (e.g., the wireless LED is on), but the screen is blank.
>
> [GdmLog2.txt]
> [mi] EQ overflowing. The server is probably stuck in an infinite loop.
>
> Backtrace:
> 0: /usr/bin/X (xorg_backtrace+0x28) [0x4a3248]
> 1: /usr/bin/X (mieqEnqueue+0x1f4) [0x4a2ac4]
> 2: /usr/bin/X (xf86PostMotionEventP+0xc4) [0x47cea4]
> 3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fddad427000+0x53cf) [0x7fddad42c3cf]
> 4: /usr/bin/X (0x400000+0x6fca7) [0x46fca7]
> 5: /usr/bin/X (0x400000+0x11d1f3) [0x51d1f3]
> 6: /lib/libpthread.so.0 (0x7fddc2166000+0xf8f0) [0x7fddc21758f0]
> 7: /usr/bin/X (0x400000+0x65700) [0x465700]
> 8: /lib/libpthread.so.0 (0x7fddc2166000+0xf8f0) [0x7fddc21758f0]
> 9: /lib/libc.so.6 (memcpy+0x15b) [0x7fddc0ec6d8b]
> 10: /usr/lib/xorg/modules/libfb.so (fbBlt+0xfc) [0x7fddbddeb63c]
> 11: /usr/lib/xorg/modules/libfb.so (fbOddTile+0x16e) [0x7fddbddf7ade]
> 12: /usr/lib/xorg/modules/libfb.so (fbFill+0x402) [0x7fddbddef1e2]
> 13: /usr/lib/xorg/modules/libfb.so (fbPolyFillRect+0x1da) [0x7fddbddef53a]
> 14: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fddbf021000+0x66a71) [0x7fddbf087a71]
> 15: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fddbf021000+0x60550) [0x7fddbf081550]
> 16: /usr/bin/X (0x400000+0xd8a7b) [0x4d8a7b]
> 17: /usr/bin/X (miPaintWindow+0x1aa) [0x45ad1a]
> 18: /usr/bin/X (miWindowExposures+0xc8) [0x45b0b8]
> 19: /usr/bin/X (0x400000+0x132717) [0x532717]
> 20: /usr/bin/X (miHandleValidateExposures+0x2b) [0x5622cb]
> 21: /usr/bin/X (0x400000+0x7a5d7) [0x47a5d7]
> 22: /usr/bin/X (xf86EnableDisableFBAccess+0x77) [0x47a687]
> 23: /usr/bin/X (0x400000+0x13d5d0) [0x...

Read more...

Riccardo Poli (rpoli) wrote :
Download full text (5.0 KiB)

Hi,

Cannot test these all now, but I've tried the suspend on lid close.
Again it worked fine first time (i.e., it suspended and then resumed
correctly when I opened the lid). However, the second time, the lid open
produced a reboot.

I'll test other things tomorrow morning.

Many thanks

Riccardo

On Sat, 2010-05-29 at 21:19 +0100, Stenten wrote:
> Troubleshooting:
> 1) Is there a difference between suspending by lid-close or by selecting Suspend from the shutdown menu?
> 2) Try disabling Desktop Effects and recreating.
> 3) Try removing your xorg.conf and recreating. "sudo mv /etc/X11/xorg.conf /etc/X11/xorg.conf.bak". If you need to restore it, run "sudo mv /etc/X11/xorg.conf.bak /etc/X11/xorg.conf". If for some reason you don't get a desktop without xorg.conf, you can boot into recovery mode and select "root" to get a command line, and then run the restore commands.
> 4) Try reproducing on the current mainline kernel [1]. Download and install the _all headers, amd64 headers, and amd64 image. You can revert by holding down Shift during boot and selecting the 32-22 kernel and then removing the three packages in Synaptic (search 2.6.34).
>
> [1]: http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.34-lucid/
>
> --
> [gm45] Resume failure in Toshiba Satellite U400 (Backtrace included)
> https://bugs.launchpad.net/bugs/587136
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “xserver-xorg-video-intel” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: xorg
>
> Suspend seems to work fine, but there is a resume problem. The machine seems to be ON after resume (e.g., the wireless LED is on), but the screen is blank.
>
> [GdmLog2.txt]
> [mi] EQ overflowing. The server is probably stuck in an infinite loop.
>
> Backtrace:
> 0: /usr/bin/X (xorg_backtrace+0x28) [0x4a3248]
> 1: /usr/bin/X (mieqEnqueue+0x1f4) [0x4a2ac4]
> 2: /usr/bin/X (xf86PostMotionEventP+0xc4) [0x47cea4]
> 3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fddad427000+0x53cf) [0x7fddad42c3cf]
> 4: /usr/bin/X (0x400000+0x6fca7) [0x46fca7]
> 5: /usr/bin/X (0x400000+0x11d1f3) [0x51d1f3]
> 6: /lib/libpthread.so.0 (0x7fddc2166000+0xf8f0) [0x7fddc21758f0]
> 7: /usr/bin/X (0x400000+0x65700) [0x465700]
> 8: /lib/libpthread.so.0 (0x7fddc2166000+0xf8f0) [0x7fddc21758f0]
> 9: /lib/libc.so.6 (memcpy+0x15b) [0x7fddc0ec6d8b]
> 10: /usr/lib/xorg/modules/libfb.so (fbBlt+0xfc) [0x7fddbddeb63c]
> 11: /usr/lib/xorg/modules/libfb.so (fbOddTile+0x16e) [0x7fddbddf7ade]
> 12: /usr/lib/xorg/modules/libfb.so (fbFill+0x402) [0x7fddbddef1e2]
> 13: /usr/lib/xorg/modules/libfb.so (fbPolyFillRect+0x1da) [0x7fddbddef53a]
> 14: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fddbf021000+0x66a71) [0x7fddbf087a71]
> 15: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fddbf021000+0x60550) [0x7fddbf081550]
> 16: /usr/bin/X (0x400000+0xd8a7b) [0x4d8a7b]
> 17: /usr/bin/X (miPaintWindow+0x1aa) [0x45ad1a]
> 18: /usr/bin/X (miWindowExposures+0xc8) [0x45b0b8]
> 19: /usr/bin/X (0x400000+0x132717) [0x532717]
> 20: /usr/bin/X (miHandleValidateExposures+0x2b) [0x5622cb]
> 21: /usr/bin/X (0x400000+0x7a5d7) [0x47a5d7]
> 22: /usr/bin/X (xf86EnableDisableF...

Read more...

Stenten (stenten) on 2010-05-29
affects: xserver-xorg-video-intel (Ubuntu) → linux (Ubuntu)
summary: - [gm45] Resume failure in Toshiba Satellite U400 (Backtrace included)
+ [gm45] Toshiba Satellite U400 fails to resume from second suspend
Stenten (stenten) on 2010-05-30
affects: linux (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
summary: - [gm45] Toshiba Satellite U400 fails to resume from second suspend
+ [gm45] Resume from Suspend Failure: "[mi] EQ overflowing. The server is
+ probably stuck in an infinite loop." Backtrace included.
Stenten (stenten) on 2010-05-30
summary: - [gm45] Resume from Suspend Failure: "[mi] EQ overflowing. The server is
- probably stuck in an infinite loop." Backtrace included.
+ [gm45] 2nd Resume from Suspend fails: "[mi] EQ overflowing. The server
+ is probably stuck in an infinite loop." Backtrace included.
Riccardo Poli (rpoli) wrote :
Download full text (5.1 KiB)

Hi again,

On Sat, 2010-05-29 at 21:19 +0100, Stenten wrote:
> Troubleshooting:
> 1) Is there a difference between suspending by lid-close or by selecting Suspend from the shutdown menu?

See my previous message. One thing: it is now clear that the problem
does really occur at every other suspend/resume.

> 2) Try disabling Desktop Effects and recreating.

This did not help.

> 3) Try removing your xorg.conf and recreating. "sudo mv /etc/X11/xorg.conf /etc/X11/xorg.conf.bak". If you need to restore it, run "sudo mv /etc/X11/xorg.conf.bak /etc/X11/xorg.conf". If for some reason you don't get a desktop without xorg.conf, you can boot into recovery mode and select "root" to get a command line, and then run the restore commands.

This did not help

> 4) Try reproducing on the current mainline kernel [1]. Download and install the _all headers, amd64 headers, and amd64 image. You can revert by holding down Shift during boot and selecting the 32-22 kernel and then removing the three packages in Synaptic (search 2.6.34).
>
> [1]: http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.34-lucid/
>

This worked! I have now suspended and resumed both via lid-close/open
and power button several times without a problem.

Hibernate still does not work, but I guess I should submit this as a
different bug.

Many thanks for your help.

Riccardo

> --
> [gm45] Resume failure in Toshiba Satellite U400 (Backtrace included)
> https://bugs.launchpad.net/bugs/587136
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “xserver-xorg-video-intel” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: xorg
>
> Suspend seems to work fine, but there is a resume problem. The machine seems to be ON after resume (e.g., the wireless LED is on), but the screen is blank.
>
> [GdmLog2.txt]
> [mi] EQ overflowing. The server is probably stuck in an infinite loop.
>
> Backtrace:
> 0: /usr/bin/X (xorg_backtrace+0x28) [0x4a3248]
> 1: /usr/bin/X (mieqEnqueue+0x1f4) [0x4a2ac4]
> 2: /usr/bin/X (xf86PostMotionEventP+0xc4) [0x47cea4]
> 3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fddad427000+0x53cf) [0x7fddad42c3cf]
> 4: /usr/bin/X (0x400000+0x6fca7) [0x46fca7]
> 5: /usr/bin/X (0x400000+0x11d1f3) [0x51d1f3]
> 6: /lib/libpthread.so.0 (0x7fddc2166000+0xf8f0) [0x7fddc21758f0]
> 7: /usr/bin/X (0x400000+0x65700) [0x465700]
> 8: /lib/libpthread.so.0 (0x7fddc2166000+0xf8f0) [0x7fddc21758f0]
> 9: /lib/libc.so.6 (memcpy+0x15b) [0x7fddc0ec6d8b]
> 10: /usr/lib/xorg/modules/libfb.so (fbBlt+0xfc) [0x7fddbddeb63c]
> 11: /usr/lib/xorg/modules/libfb.so (fbOddTile+0x16e) [0x7fddbddf7ade]
> 12: /usr/lib/xorg/modules/libfb.so (fbFill+0x402) [0x7fddbddef1e2]
> 13: /usr/lib/xorg/modules/libfb.so (fbPolyFillRect+0x1da) [0x7fddbddef53a]
> 14: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fddbf021000+0x66a71) [0x7fddbf087a71]
> 15: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fddbf021000+0x60550) [0x7fddbf081550]
> 16: /usr/bin/X (0x400000+0xd8a7b) [0x4d8a7b]
> 17: /usr/bin/X (miPaintWindow+0x1aa) [0x45ad1a]
> 18: /usr/bin/X (miWindowExposures+0xc8) [0x45b0b8]
> 19: /usr/bin/X (0x400000+0x132717) [0x532717]
> 20: /usr/bin/X (miHandleVal...

Read more...

Can you please attach your kern.log.txt with the dates/times of your crashes? Reproduce the crash a couple times now if you didn't record them before.

affects: xserver-xorg-video-intel (Ubuntu) → linux (Ubuntu)
  • kern.log Edit (297.3 KiB, text/x-log; name="kern.log"; charset="UTF-8")

On Sun, 2010-05-30 at 08:13 +0100, Stenten wrote:
> Can you please attach your kern.log.txt with the dates/times of your
> crashes? Reproduce the crash a couple times now if you didn't record
> them before.
>

I've deleted the kern.log file and then rebooted the machine with the
standard kernel (in the last 10-15 minutes). I've then suspended,
resumed (no problem), suspended again and then failed to resume, which
resulted is the system rebooting itself. Again at reboot time I chose
the standard kernel, and repeated the previous steps. Finally, I've
rebooted using the newest kernel (which, as I wrote before, does not
show the suspend/resume problem).

I attach the new kern.log

Many thanks

Riccardo

> ** Package changed: xserver-xorg-video-intel (Ubuntu) => linux (Ubuntu)
>

Yeah, I didn't think those would show anything helpful. Maybe someone more experienced can glean something from them.

Interesting that the logs don't show the start of the second suspend, but I think that might be normal since the system never came back up so the logs weren't updated/saved.

Could you now try both debugging procedures here?
https://wiki.ubuntu.com/DebuggingKernelSuspendHibernateResume#Debugging Suspend

Download full text (4.6 KiB)

Hi,

> Could you now try both debugging procedures here?
> https://wiki.ubuntu.com/DebuggingKernelSuspendHibernateResume#Debugging Suspend
>

I've tried the no_console_suspend + pm-suspend procedure. Nothing showed
up on VT1 when I suspended. When I resumed I got a blank screen, but the
machine felt properly on (e.g., disk light flashing), so I tried
ctrl-alt f7 and got X11 OK, then ctrl-alt-f1 gave me the original tty
session from which I started the suspend. Doing pm-suspend a second time
suspended the machine but on resume it rebooted itself as previously.

I'm a bit scared about the consequences of trying the more radical
procedure described in https://wiki.ubuntu.com/DebuggingKernelSuspend
which involves messing up with the real time clock since I use rsync to
keep backups of my work.

Riccardo

> --
> [gm45] 2nd Resume from Suspend fails: "[mi] EQ overflowing. The server is probably stuck in an infinite loop." Backtrace included.
> https://bugs.launchpad.net/bugs/587136
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: xorg
>
> Suspend seems to work fine, but there is a resume problem. The machine seems to be ON after resume (e.g., the wireless LED is on), but the screen is blank.
>
> [GdmLog2.txt]
> [mi] EQ overflowing. The server is probably stuck in an infinite loop.
>
> Backtrace:
> 0: /usr/bin/X (xorg_backtrace+0x28) [0x4a3248]
> 1: /usr/bin/X (mieqEnqueue+0x1f4) [0x4a2ac4]
> 2: /usr/bin/X (xf86PostMotionEventP+0xc4) [0x47cea4]
> 3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fddad427000+0x53cf) [0x7fddad42c3cf]
> 4: /usr/bin/X (0x400000+0x6fca7) [0x46fca7]
> 5: /usr/bin/X (0x400000+0x11d1f3) [0x51d1f3]
> 6: /lib/libpthread.so.0 (0x7fddc2166000+0xf8f0) [0x7fddc21758f0]
> 7: /usr/bin/X (0x400000+0x65700) [0x465700]
> 8: /lib/libpthread.so.0 (0x7fddc2166000+0xf8f0) [0x7fddc21758f0]
> 9: /lib/libc.so.6 (memcpy+0x15b) [0x7fddc0ec6d8b]
> 10: /usr/lib/xorg/modules/libfb.so (fbBlt+0xfc) [0x7fddbddeb63c]
> 11: /usr/lib/xorg/modules/libfb.so (fbOddTile+0x16e) [0x7fddbddf7ade]
> 12: /usr/lib/xorg/modules/libfb.so (fbFill+0x402) [0x7fddbddef1e2]
> 13: /usr/lib/xorg/modules/libfb.so (fbPolyFillRect+0x1da) [0x7fddbddef53a]
> 14: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fddbf021000+0x66a71) [0x7fddbf087a71]
> 15: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fddbf021000+0x60550) [0x7fddbf081550]
> 16: /usr/bin/X (0x400000+0xd8a7b) [0x4d8a7b]
> 17: /usr/bin/X (miPaintWindow+0x1aa) [0x45ad1a]
> 18: /usr/bin/X (miWindowExposures+0xc8) [0x45b0b8]
> 19: /usr/bin/X (0x400000+0x132717) [0x532717]
> 20: /usr/bin/X (miHandleValidateExposures+0x2b) [0x5622cb]
> 21: /usr/bin/X (0x400000+0x7a5d7) [0x47a5d7]
> 22: /usr/bin/X (xf86EnableDisableFBAccess+0x77) [0x47a687]
> 23: /usr/bin/X (0x400000+0x13d5d0) [0x53d5d0]
> 24: /usr/bin/X (0x400000+0x8f6c2) [0x48f6c2]
> 25: /usr/bin/X (ProcRRSetScreenSize+0x1a2) [0x4c74d2]
> 26: /usr/bin/X (0x400000+0x30c3c) [0x430c3c]
> 27: /usr/bin/X (0x400000+0x261aa) [0x4261aa]
> 28: /lib/libc.so.6 (__libc_start_main+0xfd) [0x7fddc0e5ec4d]
> 29: /usr/bin/X (0x400000+0x25d59) [0x425d...

Read more...

Stenten (stenten) on 2010-05-31
summary: - [gm45] 2nd Resume from Suspend fails: "[mi] EQ overflowing. The server
- is probably stuck in an infinite loop." Backtrace included.
+ 2nd Resume from Suspend results in reboot on Toshiba Satellite U400.
+ Fixed in 2.6.34 Mainline.
Stenten (stenten) on 2010-05-31
description: updated
Draycen DeCator (ddecator) wrote :

Marking as High importance based on confirmation Stenten received from the Kernel team.

Changed in linux (Ubuntu):
importance: Undecided → High
Stenten (stenten) on 2010-06-02
tags: added: kernel-needs-review kernel-power
Changed in linux (Ubuntu):
status: Confirmed → Triaged

Riccardo Poli, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily kernel folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.12-rc2

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Triaged → Incomplete
Download full text (4.9 KiB)

Hi,
sorry, but I don't use that machine anymore.
Riccardo

On 29 September 2013 00:39, Christopher M. Penalver <
<email address hidden>> wrote:

> Riccardo Poli, this bug was reported a while ago and there hasn't been
> any activity in it recently. We were wondering if this is still an
> issue? If so, could you please test for this with the latest development
> release of Ubuntu? ISO images are available from
> http://cdimage.ubuntu.com/daily-live/current/ .
>
> If it remains an issue, could you please run the following command in
> the development release from a Terminal
> (Applications->Accessories->Terminal), as it will automatically gather
> and attach updated debug information to this report:
>
> apport-collect -p linux <replace-with-bug-number>
>
> Also, could you please test the latest upstream kernel available following
> https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional
> upstream developers to examine the issue. Please do not test the daily
> kernel folder, but the one all the way at the bottom. Once you've tested
> the upstream kernel, please comment on which kernel version specifically
> you tested. If this bug is fixed in the mainline kernel, please add the
> following tags:
> kernel-fixed-upstream
> kernel-fixed-upstream-VERSION-NUMBER
>
> where VERSION-NUMBER is the version number of the kernel you tested. For
> example:
> kernel-fixed-upstream-v3.12-rc2
>
> This can be done by clicking on the yellow circle with a black pencil icon
> next to the word Tags located at the bottom of the bug description. As
> well, please remove the tag:
> needs-upstream-testing
>
> If the mainline kernel does not fix this bug, please add the following
> tags:
> kernel-bug-exists-upstream
> kernel-bug-exists-upstream-VERSION-NUMBER
>
> As well, please remove the tag:
> needs-upstream-testing
>
> Once testing of the upstream kernel is complete, please mark this bug's
> Status as Confirmed. Please let us know your results. Thank you for your
> understanding.
>
> ** Changed in: linux (Ubuntu)
> Status: Triaged => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/587136
>
> Title:
> 2nd Resume from Suspend results in reboot on Toshiba Satellite U400.
> Fixed in 2.6.34 Mainline.
>
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> 2.6.32-22:
> Regardless of suspend method (lid-close, selecting "Suspend" in shutdown
> menu, "pm-suspend" in a TTY), the laptop suspends correctly, resumes
> correctly, suspends correctly a second time, and then once the second
> resume is initiated, the system reboots.
>
> This issue is tested and confirmed as fixed in the 2.6.34 mainline
> (2.6.34-020634-generic).
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: xorg 1:7.5+5ubuntu1
> ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
> Uname: Linux 2.6.32-22-generic x86_64
> Architecture: amd64
> Date: Sat May 29 07:11:38 2010
> DkmsStatus:
> vboxnetflt, 3.2.0, 2.6.32-22-generic, x86_64: installed
> vboxnetadp, 3.2.0, 2.6.32-22-generic, x86_64: installed
> v...

Read more...

Riccardo Poli, this bug report is being closed due to your last comment https://bugs.launchpad.net/ubuntu/+source/linux/+bug/587136/comments/13 regarding you no longer use the hardware. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

Changed in linux (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers